Index: ChangeLog
===================================================================
--- ChangeLog	(revision 5094)
+++ ChangeLog	(revision 5099)
@@ -2,4 +2,5 @@
 	* Fixed endlessloop in MIDI subsystem (Closes: #137)
 	* Added new error codes (mostly from POSIX)
+	* Corrected targets for complibs symlinks (Closes: #168)
 
 v. 0.4beta7 - Sun Jul 10 2011 13:26 CEST
Index: Makefile
===================================================================
--- Makefile	(revision 4859)
+++ Makefile	(revision 5099)
@@ -10,4 +10,6 @@
 PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
 CKPORTDB=libroar.ckport
+
+SUFFIX_LIB=$(SHARED_SUFFIX).$(COMMON_SOVERSION)
 
 all:
@@ -50,5 +52,5 @@
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
-	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
+	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
@@ -62,5 +64,5 @@
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
-	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
+	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d$(SHARED_SUFFIX) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
Index: symlinks.comp
===================================================================
--- symlinks.comp	(revision 3742)
+++ symlinks.comp	(revision 5099)
@@ -1,28 +1,31 @@
-libroarartsc.so		libartsc.so
-libroarartsc.so		libartsc.so.0
-libroarartsc.so		libartsc.so.0.0
-libroarartsc.so		libartsc.so.0.0.0
-libroaresd.so		libesd.so
-libroaresd.so		libesd.so.0
-libroaresd.so		libesd.so.0.2
-libroaresd.so		libesd.so.0.2.36
-libroarpulse-simple.so	libpulse-simple.so
-libroarpulse-simple.so	libpulse-simple.so.0
-libroarpulse-simple.so	libpulse-simple.so.0.0
-libroarpulse-simple.so	libpulse-simple.so.0.0.0
-libroarpulse-simple.so	libpulse-simple.so.0.0.1
-libroarpulse.so		libpulse.so
-libroarpulse.so		libpulse.so.0
-libroarpulse.so		libpulse.so.0.1
-libroarpulse.so		libpulse.so.0.1.0
-libroarpulse.so		libpulse.so.0.4
-libroarpulse.so		libpulse.so.0.4.1
-libroarsndio.so		libsndio.so
-libroarsndio.so		libsndio.so.0
-libroaryiff.so		libY2.so
-libroaryiff.so		libY2.so.14
-libroaross.so   	liboss.so
-libroaross.so   	libossaudio.so
-libroarrsound.so        librsound.so
-libroarrsound.so        librsound.so.0
-libroarrsound.so        librsound.so.1
+libroarartsc		libartsc.so
+libroarartsc		libartsc.so.0
+libroarartsc		libartsc.so.0.0
+libroarartsc		libartsc.so.0.0.0
+libroaresd		libesd.so
+libroaresd		libesd.so.0
+libroaresd		libesd.so.0.2
+libroaresd		libesd.so.0.2.36
+libroarpulse-simple	libpulse-simple.so
+libroarpulse-simple	libpulse-simple.so.0
+libroarpulse-simple	libpulse-simple.so.0.0
+libroarpulse-simple	libpulse-simple.so.0.0.0
+libroarpulse-simple	libpulse-simple.so.0.0.1
+libroarpulse-simple	libpulse-simple.so.0.0.2
+libroarpulse-simple	libpulse-simple.so.0.0.3
+libroarpulse		libpulse.so
+libroarpulse		libpulse.so.0
+libroarpulse		libpulse.so.0.1
+libroarpulse		libpulse.so.0.1.0
+libroarpulse		libpulse.so.0.4
+libroarpulse		libpulse.so.0.4.1
+libroarpulse		libpulse.so.0.12.2
+libroarsndio		libsndio.so
+libroarsndio		libsndio.so.0
+libroaryiff		libY2.so
+libroaryiff		libY2.so.14
+libroaross		liboss.so
+libroaross		libossaudio.so
+libroarrsound		librsound.so
+libroarrsound		librsound.so.0
+libroarrsound		librsound.so.1
